Bug 1801065 - ImportError: No module named _conf
Summary: ImportError: No module named _conf
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libdnf
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-10 07:40 UTC by Miroslav Suchý
Modified: 2020-03-26 04:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-14 14:19:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Miroslav Suchý 2020-02-10 07:40:55 UTC
Description of problem:
When you run Mock (from epel-testing) on EL7 you get this traceback

 
mock -r epel-7-x86_64  --no-clean ./clamav-0.102.2-1.fc32.src.rpm 
....
Wrote: /builddir/build/SRPMS/clamav-0.102.2-1.el7.src.rpm
Traceback (most recent call last):
  File "/usr/bin/dnf", line 57, in <module>
    from dnf.cli import main
  File "/usr/lib/python2.7/site-packages/dnf/__init__.py", line 30, in
<module>
    import dnf.base
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 29, in
<module>
    import libdnf.transaction
  File "/usr/lib64/python2.7/site-packages/libdnf/__init__.py", line 3,
in <module>
    from . import conf
  File "/usr/lib64/python2.7/site-packages/libdnf/conf.py", line 17, in
<module>
    _conf = swig_import_helper()
  File "/usr/lib64/python2.7/site-packages/libdnf/conf.py", line 16, in
swig_import_helper
    return importlib.import_module('_conf')
  File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in
import_module
    __import__(name)
ImportError: No module named _conf

Comment 1 Miroslav Suchý 2020-02-14 14:19:27 UTC
This is configuration problem in mock configs. Closing.

Comment 2 Richard Shaw 2020-02-23 18:13:41 UTC
I'm seeing this on my Fedora 31 box when trying to build for EPEL 7. I just updated mock-core-configs from testing but the error persists. Any recommendations?

Comment 3 clime7 2020-03-09 20:33:03 UTC
The same problem here. Curious about the solution...

Comment 4 clime7 2020-03-09 20:44:34 UTC
config_opts['use_bootstrap_container'] = False

resolves it.

Comment 5 Sergio Basto 2020-03-26 04:46:17 UTC
not set config_opts['package_manager'] = 'dnf' in ~/.config/mock.cfg


Note You need to log in before you can comment on or make changes to this bug.